Skip to main content

Sending messages in WhatsApp

Last updated: 16 October 2026

Use the /api/v2/out-messages/whatsapp method to send messages to the WhatsApp channel.

tip

We recommend using the /api/v2/out-messages/whatsapp method to support BSUID.

info

The /api/v1/out-messages/whatsapp method is deprecated but remains available for use.

File IconSending WhatsApp messages with contact details

Calling the method​

To send a message to the WhatsApp channel using the /api/v2/out-messages/whatsapp method, send a POST request to https://app.edna.io/api/v2/out-messages/whatsapp.

Request examples​

Text message​

{
"from": "test_WA",
"to": {
"value": "DE.1234567890123456789",
"type": "WHATSAPP_BSUID"
},
"content": {
"type": "TEXT",
"text": "Hi! We hope you have a great day!"
}
}

Request parameters​

ParameterData typeRequirementDescription
outMessageIdstringOptionalInternal identifier of the outgoing message. The customer’s external system or edna Pulse generates it when sending the message. The maximum string length is 256 characters.
fromstringRequiredChannel name.
To get the channel name, use the API method to get the list of channels — the subject parameter. File IconReceiving list of channels
toobjectRequiredObject with recipient identifier information.
to.valuestringRequiredRecipient identifier.
To get the recipient identifier, use the API method to request recipient data — the addresses.address parameter. File IconRequesting client data
to.typestringRequiredRecipient identifier type.
Possible values:
- PHONE — phone number;
- WHATSAPP_BSUID — Business-Scoped User ID (BSUID);
- WHATSAPP_PARENT_BSUID — Parent Business-Scoped User ID (Parent BSUID).
contentobjectRequiredObject with message content information.
content.typestringRequiredMessage content type.
Possible values:
- TEXT — text;
- IMAGE — image;
- DOCUMENT — document.
content.textstringRequiredMessage text.

Response format​

{
"outMessageId": "string"
}

Response example​

{
"outMessageId": "01987f4a-070e-730e-bf59-cedc1e63350"
}

Response parameters​

ParameterData typeDescription
outMessageIdstringInternal identifier of the outgoing message. The customer’s external system or edna Pulse generated it when sending the message.